Archiv der Kategorie: Computer

Couldn’t deactivate new snapshot

Ein weiteres Problem nach dem Update von Etch auf Lenny. Wir benutzen LVM-Snapshots um unsere MySQL-Datenbanken im laufenden Betrieb zu sichern:

lvcreate -L 10G -s -n lv_backup /dev/vg_var/lv_var

Seit dem Update passierte dabei allerdings folgendes:

LV vg_var/lv_backup in use: not deactivating
Couldn’t deactivate new snapshot.

Leider keine sehr aussagekräftige Fehlermeldung. Die Lösung dafür war aber recht simpel:

aptitude install lvm2

Aptitude, „c“ und „No candidate version found for […]“

Kurz aufgeschrieben, falls jemand das gleiche Problem hat:
Nach dem Upgrade von Debian Etch auf Lenny hatten wir das Problem, dass einige Server keine php-Packages mehr installieren wollten, obwohl diese eigentlich verfügbar sind:

maggie ~ # aptitude search php5-cgi
c php5-cgi – server-side, HTML-embedded scripting language (CGI binary)
maggie ~ # aptitude install php5-cgi
Reading package lists… Done
Building dependency tree
Reading state information… Done
Reading extended state information
Initializing package states… Done
Reading task descriptions… Done
No candidate version found for php5-cgi
[…]

Die sources.list sah ganz normal aus:

deb http://ftp.de.debian.org/debian/ lenny main contrib non-free
deb http://security.debian.org/ lenny/updates main contrib non-free

Fleißiges googlen, Caches leeren und rumprobieren brachte leider keine Lösung. Irgendwann kam dann aber doch die rettende Idee: Wir hatten unter Etch die PHP-Packages von DotDeb mittels Pinning verwendet. Die Einträge für DotDeb hatten wir zwar aus der sources.list entfernt, aber in /etc/apt/preferences fand sich noch folgendes:

Package: *
Pin: origin dotdeb.netmirror.org
Pin-Priority: 50

Package: php5*
Pin: origin dotdeb.netmirror.org
Pin-Priority: 999

Nachdem die Einträge entfernt waren, hatte sich das Problem erledigt.